[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[minion-cvs] Most of the error checking in postinst before creating ...
Update of /home/minion/cvsroot/src/minion/debian
In directory moria:/tmp/cvs-serv27846/debian
Modified Files:
changelog mixminion.postinst
Log Message:
Most of the error checking in postinst before creating the debian-mixminion
user is actually rather counterproductive, as adduser already does all of the
job, only much better. Therefore comment it out.
Index: changelog
===================================================================
RCS file: /home/minion/cvsroot/src/minion/debian/changelog,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -d -r1.20 -r1.21
--- changelog 10 Jan 2005 14:55:48 -0000 1.20
+++ changelog 2 Dec 2005 23:46:26 -0000 1.21
@@ -3,8 +3,11 @@
* Update debian/copyright: Mixminion relicensed to MIT. Also, it is 2005
now. Update copyright notices.
* No longer start description synopsis with a capital letter.
+ * Most of the error checking in postinst before creating the
+ debian-mixminion user is actually rather counterproductive, as adduser
+ already does all of the job, only much better. Therefore comment it out.
- -- Peter Palfrader <weasel@xxxxxxxxxx> Mon, 10 Jan 2005 15:55:20 +0100
+ -- Peter Palfrader <weasel@xxxxxxxxxx> Sat, 3 Dec 2005 00:45:56 +0100
mixminion (0.0.7.1-2) experimental; urgency=low
Index: mixminion.postinst
===================================================================
RCS file: /home/minion/cvsroot/src/minion/debian/mixminion.postinst,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -d -r1.1 -r1.2
--- mixminion.postinst 14 Dec 2003 02:30:46 -0000 1.1
+++ mixminion.postinst 2 Dec 2005 23:46:26 -0000 1.2
@@ -1,32 +1,32 @@
#!/bin/sh -e
# checking debian-mixminion account
-
-uid=`getent passwd debian-mixminion | cut -d ":" -f 3`
-home=`getent passwd debian-mixminion | cut -d ":" -f 6`
-
-# if there is the uid the account is there and we can do
-# the sanit(ar)y checks otherwise we can safely create it.
-
-if [ "$uid" ]; then
- # guess??? the checks!!!
- if [ $uid -ge 100 ] && [ $uid -le 999 ]; then
- echo "debian-mixminion uid check: ok"
- else
- echo "ERROR: debian-mixminion account has a non-system uid!"
- echo "Please check /usr/share/doc/mixminion/README.Debian on how to"
- echo "correct this problem"
- exit 1
- fi
- if [ "$home" = "/var/lib/mixminion" ]; then
- echo "debian-mixminion homedir check: ok"
- else
- echo "ERROR: debian-mixminion account has an invalid home directory!"
- echo "Please check /usr/share/doc/mixminion/README.Debian on how to"
- echo "correct this problem"
- exit 1
- fi
-else
+##
+## uid=`getent passwd debian-mixminion | cut -d ":" -f 3`
+## home=`getent passwd debian-mixminion | cut -d ":" -f 6`
+##
+## # if there is the uid the account is there and we can do
+## # the sanit(ar)y checks otherwise we can safely create it.
+##
+## if [ "$uid" ]; then
+## # guess??? the checks!!!
+## if [ $uid -ge 100 ] && [ $uid -le 999 ]; then
+## echo "debian-mixminion uid check: ok"
+## else
+## echo "ERROR: debian-mixminion account has a non-system uid!"
+## echo "Please check /usr/share/doc/mixminion/README.Debian on how to"
+## echo "correct this problem"
+## exit 1
+## fi
+## if [ "$home" = "/var/lib/mixminion" ]; then
+## echo "debian-mixminion homedir check: ok"
+## else
+## echo "ERROR: debian-mixminion account has an invalid home directory!"
+## echo "Please check /usr/share/doc/mixminion/README.Debian on how to"
+## echo "correct this problem"
+## exit 1
+## fi
+## else
# what this might mean?? oh creating a system l^Huser!
adduser --quiet \
--system \
@@ -36,7 +36,7 @@
--shell /bin/bash \
--group \
debian-mixminion
-fi
+## fi
# ch{owning,moding} things around
# We will do nothing across upgrades.